cancel
Showing results for 
Search instead for 
Did you mean: 

Does my router have the Apache Log4j library vulnerability?

buckwem
Newbie
Posts: 4
Registered: ‎19-09-2021

Does my router have the Apache Log4j library vulnerability?

I have the Plusnet Hub One - does my router have the Apache Log4j library vulnerability?

Thanks

3 REPLIES 3
jab1
Aspiring Legend
Posts: 12,748
Thanks: 4,050
Fixes: 162
Registered: ‎24-02-2012

Re: Does my router have the Apache Log4j library vulnerability?

@buckwem Why should it have - a quick read of the first article I came across on Google makes no reference to hubs (from any manufacturer) being vulnerable, and only refers to cloud services, although, coming from Kaspersky, I would treat it with caution. Link:https://www.kaspersky.co.uk/blog/log4shell-critical-vulnerability-in-apache-log4j/23933/

 

Edit to add: As far as I know, Hubs/modem-routers do not employ Apache anyway.

John
bobpullen
Community Gaffer
Community Gaffer
Posts: 16,460
Thanks: 4,315
Fixes: 278
Registered: ‎04-04-2007

Re: Does my router have the Apache Log4j library vulnerability?


@buckwem wrote:

I have the Plusnet Hub One - does my router have the Apache Log4j library vulnerability?


No, it does not. It has no dependency on the Log4j libraries; nor does it run Java.

Bob Pullen
Plusnet Product Team
If I've been helpful then please give thanks ⤵

jab1
Aspiring Legend
Posts: 12,748
Thanks: 4,050
Fixes: 162
Registered: ‎24-02-2012

Re: Does my router have the Apache Log4j library vulnerability?

Thanks, @bobpullen - if the OP doesn't believe me, maybe they'll believe you.🙂

John